# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-jqplugins-flot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.jqplugins.flot

Name:           python-module-tw2-jqplugins-flot
Version:        2.0.1
Release:        alt1_5
Summary:        jQuery flot (plotting) for ToscaWidgets2

Group:          Development/Python
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building, generally
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-tw2-core
BuildRequires:  python-module-tw2-excanvas
BuildRequires:  python-module-tw2-jqplugins-ui

# Specifically for the test suite
BuildRequires:  python-module-nose
BuildRequires:  python-module-FormEncode
BuildRequires:  python-module-BeautifulSoup
BuildRequires:  python-module-strainer
BuildRequires:  python-module-webtest

# Templating languages for the test suite
BuildRequires:  python-module-mako
BuildRequires:  python-module-genshi
Source44: import.info


# Runtime requirements

%description
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

flot is a pure Javascript plotting library for jQuery. It produces graphical
plots of arbitrary data sets on-the-fly client-side.

This module, tw2.jqplugins.flot, provides toscawidgets2 (tw2) access
to flot widgets.

%prep
%setup -q -n %{modname}-%{version}

%if %{?rhel}%{!?rhel:0} >= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif


%build
%{__python} setup.py build
# This is a hack to get the jqplugins to not stomp all over each others
# namespace declarations.
rm -f build/lib/tw2/jqplugins/__init__.py*

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%check
PYTHONPATH=$(pwd) python setup.py test

%files
%doc README.rst LICENSE.txt

%{python_sitelibdir_noarch}/tw2/jqplugins/flot
%{python_sitelibdir_noarch}/%{modname}-%{version}-*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_5
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_4
- initial fc import

